Bug 619102 - Cumin does not shutdown when uninstalled
Summary: Cumin does not shutdown when uninstalled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin
Version: Development
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.3
: ---
Assignee: Justin Ross
QA Contact: Jan Sarenik
URL:
Whiteboard:
Depends On:
Blocks: 595746
TreeView+ depends on / blocked
 
Reported: 2010-07-28 15:02 UTC by Jan Sarenik
Modified: 2011-01-28 16:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 673273 None None None Never

Internal Links: 673273

Description Jan Sarenik 2010-07-28 15:02:26 UTC
Cumin process is still running after the package was uninstalled
i.e. there is no preuninstall hook which would stop it first.

How reproducible: 100%

Steps to Reproduce:
1. yum groupinstall "MRG Management"
2. cumin-database install
3. service cumin start
4. rpm -e cumin
  
Actual results: The cumin processes are still running.
Expected results: Cumin should be shut down before uninstalled.

Additional info:
  For comparison, see output of rpm -q --scripts for cumin
  and postgresql-server (or sysklogd).

Comment 2 Justin Ross 2010-09-10 16:07:01 UTC
Fixed at 0:0.1.4267-1.

Comment 3 Jan Sarenik 2010-09-14 10:00:20 UTC
Verified in cumin-0.1.4279-1.el5

$ rpm -q --scripts cumin
... SNIP ...
preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ]; then
    /sbin/service cumin stop >/dev/null 2>&1
    /sbin/chkconfig --del cumin
fi


Note You need to log in before you can comment on or make changes to this bug.